#pragma rtGlobals=1		// Use modern global access method.
#pragma hide=1

//////////////////////////////////////////////////////////////////////////////////
//Licence
//////////////////////////////////////////////////////////////////////////////////
//
//	If you use the 'Fit Assistant' to analyze data, please read and cite the following paper:
//	Surace and Interface Analysis, (2014), 46, 505-511
//	This publication contains more details on the fit function used by XPST.
//
//	XPST is a front-end to the IgorPro fitting engine. Although every possible effort was made 
//	to prevent serious bugs and wrong results, the author can not give any warranty for XPST as 
//	large parts actually depend on the underlying IgorPro code. 
//	Author: Dr. Martin Schmid
//
//////////////////////////////////////////////////////////////////////////////////


// This file contains the start values for the fit, please feel free to adapt them to your needs

constant epsilonVal = 1e-9
constant interval = 1e-5                   //that is the epsilon value which is applied by default
constant Width_Start = 0.8
constant Width_Min = 0.4
constant Width_Max = 2

constant GLratio_Start = 0.3
constant GLratio_Min = 0.05
constant GLratio_Max = 0.95

constant Asym_Start = 1e-3
constant Asym_Min = 1e-4
constant Asym_Max = 10

constant Asym_Shift_Start = 1e-3
constant Asym_Shift_Min = 1e-5
constant Asym_Shift_Max = 0.5
constant Spin_Split_Min = 1e-4
constant Spin_Split_Max = 20
constant Spin_Ratio_Min = 1e-4
constant Spin_Ratio_Max = 1
constant CursorPrecision = 0.15    //determines as a factor the constraints of the peak position limit = posCursor +/- CursorPrecision x EnergyWindow
constant randomJump = 0.2      // for random fitting mode, determines the random variation of the peak position, has to be smaller than CursorPrecision 
							    // otherwise, there would be a conflict with the constraints
constant noiseThreshold = 0.1

constant gPf = 1.064467019          //GaussPreFactor  1/ ( sqrt( 4 ln(2) / pi ) )
constant gAf = 2.7725887222         //GaussArgumentFactor
constant integrationCorrection = 0.99   //to account for the numerical difference between an intergration from +inf to -inf and +/- 90*FWHM

//if you want to change the integration range for the peak area, change the value below

constant IntegrationInterval = 90         //integration widht in UNITS of PEAK FWHM